=== debian/changelog ===
golang-github-containerd-stargz-snapshotter (0.8.0-8) unstable; urgency=medium

  * Revert earlier attempts, avoid running those expensive tests on 32bit

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Nov 2021 12:09:05 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-7) unstable; urgency=medium

  * avoid more than 4 goroutines to avoid out of memory on 32bit architectures

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Nov 2021 10:54:04 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-6) unstable; urgency=medium

  * avoid more than 8 goroutines to avoid out of memory on 32bit architectures

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Nov 2021 07:56:58 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-5) unstable; urgency=medium

  * exclude tests that reach out to internet (Closes: #999440)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Nov 2021 07:57:26 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-4) unstable; urgency=medium

  * debian/copyright: regenerate with cme update dpkg-copyright

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 07 Nov 2021 17:55:15 -0500

golang-github-containerd-stargz-snapshotter (0.8.0-3) unstable; urgency=medium

  * Add missing dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Nov 2021 11:49:58 -0400

golang-github-containerd-stargz-snapshotter (0.8.0-2) unstable; urgency=medium

  * no-change reupload

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Nov 2021 11:11:24 -0400

golang-github-containerd-stargz-snapshotter (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #994908)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Sep 2021 12:08:24 -0400
