=== debian/control ===
Source: golang-github-containerd-stargz-snapshotter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-containerd-console-dev,
               golang-github-containerd-containerd-dev,
               golang-github-containerd-continuity-dev,
               golang-github-containerd-go-cni-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-docker-docker-dev,
               golang-github-docker-go-metrics-dev,
               golang-github-golang-groupcache-dev,
               golang-github-google-gofuzz-dev,
               golang-github-hanwen-go-fuse-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-klauspost-compress-dev (>> 1.11.13),
               golang-github-moby-sys-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-pkg-errors-dev,
               golang-github-rs-xid-dev,
               golang-github-urfave-cli-dev,
               golang-github-vbatts-tar-split-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-gopkg-inf.v0-dev,
               golang-logrus-dev,
               golang-prometheus-client-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/stargz-snapshotter
Vcs-Git: https://salsa.debian.org/go-team/packages/stargz-snapshotter.git
Homepage: https://github.com/containerd/stargz-snapshotter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containerd/stargz-snapshotter

Package: stargz-snapshotter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast container image distribution plugin with lazy pulling (program)
 Pulling image is one of the time-consuming steps in the
 container lifecycle. Stargz Snapshotter is an
 implementation of snapshotter which aims to solve this problem by lazy
 pulling.  Lazy pulling here means a container can run without waiting
 for the pull completion of the image and necessary chunks of the image
 are fetched on-demand.
 .
 eStargz is a lazily-pullable image format proposed by this project.  This is
 compatible to OCI images so this can be pushed to standard container
 registries (e.g. ghcr.io) as well as this is still runnable even on
 eStargz-agnostic runtimes including Docker.  eStargz format is based on stargz
 image format by CRFS but comes with additional features like runtime
 optimization and content verification.
 .
 This package contains the ctr-remote command.

Package: golang-github-containerd-stargz-snapshotter-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-github-klauspost-compress-dev (>> 1.11.13),
         golang-golang-x-sync-dev,
         golang-github-containerd-console-dev,
         golang-github-containerd-containerd-dev,
         golang-github-containerd-continuity-dev,
         golang-github-containerd-go-cni-dev,
         golang-github-coreos-go-systemd-dev,
         golang-github-docker-docker-dev,
         golang-github-docker-go-metrics-dev,
         golang-github-golang-groupcache-dev,
         golang-github-google-gofuzz-dev,
         golang-github-hanwen-go-fuse-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-klauspost-compress-dev (>> 1.11.13),
         golang-github-moby-sys-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-pelletier-go-toml-dev,
         golang-github-pkg-errors-dev,
         golang-github-rs-xid-dev,
         golang-github-urfave-cli-dev,
         golang-github-vbatts-tar-split-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-grpc-dev,
         golang-google-protobuf-dev,
         golang-gopkg-inf.v0-dev,
         golang-logrus-dev,
         golang-prometheus-client-dev,
Built-Using: ${misc:Built-Using}
Multi-Arch: foreign
Description: Fast container image distribution plugin with lazy pulling (library)
 Pulling image is one of the time-consuming steps in the
 container lifecycle. Stargz Snapshotter is an
 implementation of snapshotter which aims to solve this problem by lazy
 pulling.  Lazy pulling here means a container can run without waiting
 for the pull completion of the image and necessary chunks of the image
 are fetched on-demand.
 .
 eStargz is a lazily-pullable image format proposed by this project.  This is
 compatible to OCI images so this can be pushed to standard container
 registries (e.g. ghcr.io) as well as this is still runnable even on
 eStargz-agnostic runtimes including Docker.  eStargz format is based on stargz
 image format by CRFS but comes with additional features like runtime
 optimization and content verification.
 .
 This package contains the golang library for use in other packages
