=== debian/changelog ===
golang-github-containerd-stargz-snapshotter (0.11.4-2) unstable; urgency=medium

  * Disable (experimental) ipfs support, sources not currently available
    in debian. As a consequence, ctr-remote is no longer provided

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 17 May 2022 06:48:44 -0400

golang-github-containerd-stargz-snapshotter (0.11.4-1) unstable; urgency=medium

  * New upstream version 0.11.4

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 14 May 2022 11:57:41 -0400

golang-github-containerd-stargz-snapshotter (0.8.0-9) unstable; urgency=medium

  * unbreak autopkgtests

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 22 Nov 2021 15:32:44 -0500
