=== debian/changelog ===
golang-github-containerd-stargz-snapshotter (0.12.0-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 14:38:31 +1000

golang-github-containerd-stargz-snapshotter (0.12.0-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 16:34:32 +1000

golang-github-containerd-stargz-snapshotter (0.12.0-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 12:02:28 +0530

golang-github-containerd-stargz-snapshotter (0.12.0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:57 +1200

golang-github-containerd-stargz-snapshotter (0.12.0-2) unstable; urgency=medium

  * Team upload
  * Correct project name in Vcs-Browser and Vcs-Git
  * Remove duplicate dependencies from the -dev package
  * Build depend on golang-github-hashicorp-go-retryablehttp-dev

 -- Benjamin Drung <bdrung@debian.org>  Tue, 13 Dec 2022 14:09:23 +0100

golang-github-containerd-stargz-snapshotter (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * restore ctr-remote binary

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Aug 2022 09:18:48 +0200
