=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-github-containerd-stargz-snapshotter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -18,6 +19,7 @@
                golang-github-google-gofuzz-dev,
                golang-github-hanwen-go-fuse-dev,
                golang-github-hashicorp-go-multierror-dev,
+               golang-github-hashicorp-go-retryablehttp-dev,
                golang-github-klauspost-compress-dev (>> 1.11.13),
                golang-github-moby-sys-dev,
                golang-github-opencontainers-go-digest-dev,
@@ -36,8 +38,8 @@
                golang-logrus-dev,
                golang-prometheus-client-dev
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/go-team/packages/stargz-snapshotter
-Vcs-Git: https://salsa.debian.org/go-team/packages/stargz-snapshotter.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-stargz-snapshotter
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-stargz-snapshotter.git
 Homepage: https://github.com/containerd/stargz-snapshotter
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/containerd/stargz-snapshotter
@@ -66,11 +68,7 @@
 
 Package: golang-github-containerd-stargz-snapshotter-dev
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         golang-github-klauspost-compress-dev (>> 1.11.13),
-         golang-golang-x-sync-dev,
-         golang-github-containerd-console-dev,
+Depends: golang-github-containerd-console-dev,
          golang-github-containerd-containerd-dev,
          golang-github-containerd-continuity-dev,
          golang-github-containerd-go-cni-dev,
@@ -81,6 +79,7 @@
          golang-github-google-gofuzz-dev,
          golang-github-hanwen-go-fuse-dev,
          golang-github-hashicorp-go-multierror-dev,
+         golang-github-hashicorp-go-retryablehttp-dev,
          golang-github-klauspost-compress-dev (>> 1.11.13),
          golang-github-moby-sys-dev,
          golang-github-opencontainers-go-digest-dev,
@@ -98,6 +97,8 @@
          golang-gopkg-inf.v0-dev,
          golang-logrus-dev,
          golang-prometheus-client-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Multi-Arch: foreign
 Description: Fast container image distribution plugin with lazy pulling (library)
