=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # that are not (currently) packaged in debian for use by other packages.
 # As of version 0.8.0, this excludes the programs containerd-stargz-grpc
 # and stargz-core, which are excluded from building in the following
-export DH_GOLANG_EXCLUDES := stargz-snapshotter/service cmd/containerd-stargz-grpc cmd/stargz-store cmd/ctr-remote ipfs
+export DH_GOLANG_EXCLUDES := stargz-snapshotter/service cmd/containerd-stargz-grpc cmd/stargz-store ipfs
 
 # exclude tests that reach out to internet #999440
 EXTRA_TEST_EXCLUDES := nativeconverter
