=== debian/changelog ===
golang-github-containerd-stargz-snapshotter (0.14.3-4) unstable; urgency=medium

  * Team upload.
  * Skip TestOverlayView.  Closes: #1092527, #1072067.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 15 Apr 2025 05:47:51 +0200

golang-github-containerd-stargz-snapshotter (0.14.3-3) unstable; urgency=medium

  * Exclude tests matching estargz/zstdchunked on riscv64

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Aug 2024 14:57:16 -0400

golang-github-containerd-stargz-snapshotter (0.14.3-2) unstable; urgency=medium

  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 14:22:12 -0400

golang-github-containerd-stargz-snapshotter (0.14.3-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 31 Jul 2024 07:29:12 -0400
