=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-containerd-stargz-snapshotter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -13,7 +12,6 @@
                golang-github-containerd-continuity-dev,
                golang-github-containerd-go-cni-dev,
                golang-github-coreos-go-systemd-dev,
-               golang-github-docker-docker-dev,
                golang-github-docker-go-metrics-dev,
                golang-github-golang-groupcache-dev,
                golang-github-google-gofuzz-dev,
@@ -37,7 +35,7 @@
                golang-gopkg-inf.v0-dev,
                golang-logrus-dev,
                golang-prometheus-client-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-stargz-snapshotter
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-stargz-snapshotter.git
 Homepage: https://github.com/containerd/stargz-snapshotter
@@ -73,7 +71,6 @@
          golang-github-containerd-continuity-dev,
          golang-github-containerd-go-cni-dev,
          golang-github-coreos-go-systemd-dev,
-         golang-github-docker-docker-dev,
          golang-github-docker-go-metrics-dev,
          golang-github-golang-groupcache-dev,
          golang-github-google-gofuzz-dev,
