=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,11 @@
 EXTRA_TEST_EXCLUDES += estargz/zstdchunked
 endif
 
+# riscv64 is too slow
+ifneq ($(DEB_HOST_ARCH),riscv64)
+else
+EXTRA_TEST_EXCLUDES += estargz/zstdchunked
+endif
+
 override_dh_auto_test:
-	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) $(EXTRA_TEST_EXCLUDES)" GOMAXPROCS=4 dh_auto_test -v --max-parallel=2
+	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) $(EXTRA_TEST_EXCLUDES)" GOMAXPROCS=4 dh_auto_test -v --max-parallel=2 -- --skip=TestOverlayView
